<?php

// проверим наличие поля в таблице
$result = sql_fetch_assoc(sql_query("
    SELECT COLUMN_NAME as name
    FROM INFORMATION_SCHEMA.COLUMNS
    WHERE (
        `TABLE_SCHEMA`='{$config['dbname']}' AND
        `TABLE_NAME`='{$config['table_prefix']}calc_log' AND
        `COLUMN_NAME`='id'
    )
"))['name'] ?? '';

// при отсутствии добавим
if (empty($result)) {
    run_query("
        ALTER TABLE {$config['table_prefix']}calc_log
        ADD COLUMN `id` INT AUTO_INCREMENT PRIMARY KEY FIRST
    ");
}
